# GetExpenseClaims

Use this function to retrieve one or many expense claims.

{% hint style="warning" %}
**Deprecation and Removal Notice**\
This function will be deprecated in Linx from **6 December 2025** and will be removed entirely in **late May 2026**.

After the removal date, this function will no longer work in Linx solutions because the underlying Xero API endpoint is being retired by Xero.
{% endhint %}

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Expense claim id

You can retrieve an individual record by specifying the ExpenseClaimID.

#### Modified after

A UTC timestamp (yyyy-mm-ddThh:mm:ss) . Only records created or modified since this timestamp will be returned e.g. 2009-11-12T00:00:00.

#### Where

Restrict the returned items using the specified criteria. See Where filter.

#### Order by

Return items in a specific order. See Order by filter.

#### Return options

Select how the data is to be returned.

Possible values are:

* Only the first item.
* The first item or an empty item.
* All the items one by one.
* All of the items at once.

## Output

#### Return type of ExpenseClaims A list of expense claims or a single expense claim depending on the selected [Return option](https://github.com/linx-software/linx-docs/blob/v6-Main/reference/plugins/xero/content/expenseclaims/getattachments.md#return-options).

## Links [Xero Developer: Expense Claims (GET)](https://developer.xero.com/documentation/api/expense-claims#GET)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/expenseclaims/getexpenseclaims.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
